#define _GNU_SOURCE 

#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>
#include "getline.h"

#define MAX_LINE_LENGTH 512

struct node {
  char        * name;
  struct node * next;
  struct node * prev;
};

static void strnchomp(char *dest, size_t n);
static void push(struct node ** tos, struct node **bos, char * name);
static void usage();
static void pop(struct node ** tos);
static void read_tree();
